/*
 * @Description: 
 * @version: 
  
 * @Date: 2021-05-28 11:50:00
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-01-13 09:00:52
 */


/**
 * @file
 **/

#include "task.h"

#include <memory>

// #include "roadmodel_config.pb.h"

namespace rm {
 
 using rm::common::Status;

Task::Task(const std::shared_ptr<Observer>& observer) : observer_(observer) {
  name_ = observer_->getName();
}

Task::Task(const std::shared_ptr<Observer>& observer,
           const std::shared_ptr<DependencyInjector>& injector)
    : observer_(observer), injector_(injector) {
  name_ = observer_->getName();
}

const std::string& Task::Name() const { return name_; }

Status Task::Execute(Frame* frame, LaneInfo* lane_info) {
  frame_ = frame;
  lane_info_ = lane_info;
  return Status::OK();
}
 
}  // namespace rm
